portage-ng / portage / sys-auth / oath-toolkit / 2.6.14
portage-ng glsa
1 advisory reference sys-auth/oath-toolkit · none place version 2.6.14 in a vulnerable range
▸ GLSA 202412-11 OATH Toolkit: Privilege Escalation this version unaffected high local 2024-12-07

A vulnerability has been discovered in OATH Toolkit, which could lead to local root privilege escalation.

Announced
2024-12-07
Revised
2024-12-07
Access
local
Bugs
#940778
Advisory
https://security.gentoo.org/glsa/202412-11

Affected packages

PackageArchVulnerableUnaffected
sys-auth/oath-toolkit*< 2.6.12>= 2.6.12

Background

OATH Toolkit provide components to build one-time password authentication systems. It contains shared C libraries, command line tools and a PAM module. Supported technologies include the event-based HOTP algorithm (RFC 4226), the time-based TOTP algorithm (RFC 6238), and Portable Symmetric Key Container (PSKC, RFC 6030) to manage secret key data. OATH stands for Open AuTHentication, which is the organization that specify the algorithms.

Description

A vulnerability has been discovered in OATH Toolkit. Please review the CVE identifier referenced below for details.

Impact

Please review the referenced CVE identifier for details.

Workaround

There is no known workaround at this time.

Resolution

All OATH Toolkit users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=sys-auth/oath-toolkit-2.6.12"

References